For the complete documentation index, see llms.txt. This page is also available as Markdown.

Create Key

Creates a new Key. The full Key needs to be provided to create the object. Optional data will be filled with defaults or left empty.

post
/pipelines/{pipelineId}/key
Authorizations
AuthorizationstringRequired

The token can be generated using the Authentication API.

Path parameters
pipelineIdstring · uuidRequired

The ID (UUID) of the Pipeline.

Example: f72521ba-1590-5998-bf96-6eb997a5887d
Body
object · KeyCreateOptional

Generates a new key for a pipeline invalidating the old one. The key is used for authentication when sending logs.

Responses
201

Key successfully created.

application/json

Generates a new key for a pipeline invalidating the old one. The key is used for authentication when sending logs.

keystringRequired

The key is shared once and is used to authenticate the logs sent to the pipeline.

Example: momSrlgAAEmaYEvBsMr^HsYn
post/pipelines/{pipelineId}/key
POST /pipelines/{pipelineId}/key HTTP/1.1
Host: logging.de-fra.ionos.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 2

{}
{
  "key": "momSrlgAAEmaYEvBsMr^HsYn"
}

Last updated

Was this helpful?